Solid Edge Assembly Type Library
Move Method
Specifies the working units to move the Occurrence in the x direction.
Specifies the working units to move the Occurrence in the y direction.
Specifies the working units to move the Occurrence in the z direction.
Description
Moves the referenced object.
Syntax
Visual Basic
Public Sub Move( _
   ByVal DeltaX As Double, _
   ByVal DeltaY As Double, _
   ByVal DeltaZ As Double _
) 
Parameters
DeltaX
Specifies the working units to move the Occurrence in the x direction.
DeltaY
Specifies the working units to move the Occurrence in the y direction.
DeltaZ
Specifies the working units to move the Occurrence in the z direction.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objPart As SolidEdgeAssembly.Occurrence
    Dim dblDeltaX As Double
    Dim dblDeltaY As Double
    Dim dblDeltaZ As Double
    Dim dblOriginX As Double
    Dim dblOriginY As Double
    Dim dblOriginZ As Double
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' adding a part document to the assembly document
    Set objPart = objDoc.Occurrences.AddByFilename(OccurrenceFileName:=TESTFILE)
    ' moving the part in the assembly
    dblDeltaX = 0.05
    dblDeltaY = 0.075
    dblDeltaZ = 0.1
    Call objPart.Move(deltaX:=dblDeltaX, deltaY:=dblDeltaY, deltaZ:=dblDeltaZ)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objPart = Nothing
End Sub
See Also

Occurrence Object  | Occurrence Members